import {FC} from "react";
import Main from "../../pages/Main/Main";
import Projects from "../../pages/Projects/Projects";
import './App.scss';
import Navbar from "../Navbar/Navbar";
import GenshinDownloads from "../../pages/GenshinDownloads/GenshinDownloads";

const App: FC = () => (
    <div className="App">
        <Navbar/>

        <main className="Container">
            <Main/>
            <Projects/>
            <GenshinDownloads/>
        </main>
    </div>
);

export default App;